<?php
/*
Plugin Name: Affiliate Rocket
Plugin URI: http://fbproductlaunch.com
Description: Affiliate Overlay Redirect Your Page to the spesific url after the countdown expired
Version: 1.0.0
Author: John Leonard
Author URI: http://fbproductlaunch.com

*/

function my_admin_uploader_scripts() {
wp_enqueue_script('media-upload');
wp_enqueue_script('thickbox');

wp_enqueue_script('my-upload');
}

function my_admin_uploader_styles() {
wp_enqueue_style('thickbox');
}
add_action('admin_print_scripts', 'my_admin_uploader_scripts');
add_action('admin_print_styles', 'my_admin_uploader_styles'); 

add_action("wp_ajax_create_new_page", "create_new_page");
function create_new_page(){

$my_post = array(
  'post_title'=> $_POST['titlepage'],
  'post_content'=> 'Page for Timmer',
  'post_type'=> 'page',
  'post_status'   => 'publish'

);
$newId=wp_insert_post( $my_post );

	if(is_numeric($newId)){
		$pages = get_pages(); 
		$str='';
		
		foreach($pages as  $pg){
			if($pg->ID==$newId)
			$str.='<option value="'.$pg->ID.'" selected="selected">'.$pg->post_title.'</option>';
			else
			$str.='<option value="'.$pg->ID.'" >'.$pg->post_title.'</option>';
		}
		echo $str;
	}else{
		echo 'null';
	}
	
	
}
if(defined('ABSPATH') && defined('WPINC')) {
  if (is_admin()) {
    add_action('admin_menu', 'affiliate_rocket_admin_menu');
  }
}
define( 'PLUGINNAME_PATH', plugins_url( '' , __FILE__ ) );
global $post;


add_filter( 'page_template', 'My_custom_page_template' );
function My_custom_page_template( $page_template )
{
global $wp_query; 
global $mytem;
$postid = $wp_query->post->ID;

 $stimers=get_option('ctimers');
 foreach( $stimers as $time){
		 if($postid==$time['page']){
		 
			$tem=$time['template'];
			$mytem=$time;
			 $page_template = dirname( __FILE__ ) . '/templates/'.$tem.'.php';
 
    return $page_template;
		 }
		
 }

       
}
function affiliate_rocket_admin_menu() {

    add_menu_page('Affiliate Rocket Option', 'Affiliate Rocket', 'administrator', 'affiliate_rocket', 'affiliate_rocket_admin_options',PLUGINNAME_PATH.'/images/icon.png');
 
}
function affiliate_rocket_admin_options(){

$mystyles=array();
$mystyles['flip-black']='Flip Black';
$mystyles['slide-black']='Slide Black';
$mystyles['metal-black']='Metal Black';
$mystyles['crystal-black']='Crystal Black';
$mystyles['flip-white']='Flip White';
$mystyles['slide-white']='Slide White';
$mystyles['metal-white']='Metal White';
$mystyles['crystal-white']='Crystal White';
$templates=array();
$templates['full-width-black']="Full width Black";
$templates['full-width-gray']="Full width Gray";
if($_GET['ac']){
switch($_GET['ac']){
	case 'delete':
		$stimers=get_option('ctimers');
		unset($stimers[$_GET['id']]);
		$message=$stimers[$_GET['id']]['name']." is deleted";
		update_option('ctimers',$stimers);
	break;
	case 'edit':
	$stimers=get_option('ctimers');
	$itemedit=$stimers[$_GET['id']];
	?>
	<script>
        jQuery(document).ready(function (){
          
               
                    jQuery('html, body').animate({
                        scrollTop: jQuery("#ctoptions").offset().top
                    }, 2000);
             
          
        });
    </script>
	<?php
	break;
}
}
if($_POST['addtimer']){
	$stimers=get_option('ctimers');
	if(empty($stimers))
	$stimers=array();
	$newtimer=array();
	$newtimer['name']=$_POST['name'];
	$newtimer['urldisplay']=$_POST['urldisplay'];
	$newtimer['urlend']=$_POST['urlend'];
	
	$newtimer['styles']=$_POST['styles'];
	$newtimer['template']=$_POST['template'];
	$newtimer['page']=$_POST['page'];
	$newtimer['shadow']=$_POST['shadow'];
	$newtimer['showdate']=$_POST['showdate'];
	$newtimer['facultyPhoto']=$_POST['facultyPhoto'];
	
	$newtimer['facultylink']=$_POST['facultylink'];
	$newtimer['background']=$_POST['background'];
	// Evergreen
	$evergreen=$_POST['evergreen'];
	$ecday=$_POST['ecday'];
	$ecminute=$_POST['ecminute'];
	$echours=$_POST['echours'];
	if($evergreen){
		$newtimer['evergreen']=array($evergreen,$ecday,$echours,$ecminute);
	}else{
		$newtimer['timeend']=$_POST['timeend'];
	}
	if($_POST['ac']=='edit')
	$stimers[$_POST['edititem']]=$newtimer;
	else
	$stimers[]=$newtimer;
	update_option('ctimers',$stimers);
	
	
}
if($_POST['npagesubmit']){
$my_post = array(
  'post_title'    => $_POST['npage'],
  
);

}
?>
<link rel="stylesheet" href="<?php echo PLUGINNAME_PATH; ?>/css/base/jquery.ui.all.css">
<link rel="stylesheet" href="<?php echo PLUGINNAME_PATH; ?>/css/admintimer.css">
<link rel="stylesheet" href="<?php echo PLUGINNAME_PATH; ?>/css/colorpicker.css" type="text/css" />
    <link rel="stylesheet" media="screen" type="text/css" href="<?php echo PLUGINNAME_PATH; ?>/css/layout.css" />
<script src="<?php echo PLUGINNAME_PATH; ?>/js/jquery-1.9.1.js"></script>
<script src="<?php echo PLUGINNAME_PATH; ?>/js/jquery.ui.core.js"></script>
<script src="<?php echo PLUGINNAME_PATH; ?>/js/validation.js"></script>
<script src="<?php echo PLUGINNAME_PATH; ?>/js/jquery.ui.widget.js"></script>
	<script src="<?php echo PLUGINNAME_PATH; ?>/js//jquery.ui.mouse.js"></script>
<script src="<?php echo PLUGINNAME_PATH; ?>/js/jquery.ui.datepicker.js"></script>
<script src="<?php echo PLUGINNAME_PATH; ?>/js/jquery.ui.slider.js"></script>
<script src="<?php echo PLUGINNAME_PATH; ?>/js/jquery-ui-timepicker-addon.js"></script>

	<script type="text/javascript" src="<?php echo PLUGINNAME_PATH; ?>/js/colorpicker.js"></script>
    <script type="text/javascript" src="<?php echo PLUGINNAME_PATH; ?>/js/eye.js"></script>
    <script type="text/javascript" src="<?php echo PLUGINNAME_PATH; ?>/js/utils.js"></script>
    <script type="text/javascript" src="<?php echo PLUGINNAME_PATH; ?>/js/layout.js?ver=1.0.2"></script>
<script>
$(function() {
$('#evergreen').click(function(){
	if ($(this).is(':checked')) {
			$('#notever').css('display','none');
			$('#timeend').removeClass('required');
	} else {
		$('#notever').css('display','table-row');
			$('#timeend').addClass('required');
	} 

});
 $("#additems" ).validate();
$('#timeend').datetimepicker({
	timeFormat: 'HH:mm:ss Z',
	dateFormat:'yy/mm/dd',
	stepHour: 1,
	stepMinute: 5,
	stepSecond: 10,
	showTimezone: true
});
$('#colorSelector1').ColorPicker({
	color: '#<?php if($itemedit['background']) echo $itemedit['background']; else '0000ff';?>',
	onShow: function (colpkr) {
		$(colpkr).fadeIn(500);
		return false;
	},
	onHide: function (colpkr) {
		$(colpkr).fadeOut(500);
		return false;
	},
	onChange: function (hsb, hex, rgb) {
	$('#colorSelector1 div').css('backgroundColor', '#' + hex);
	$('#background').val(hex);
	}
});
jQuery('#upload_image_button').click(function() {
  formfield = jQuery('#fwpPhoto').attr('name');
  tb_show('', 'media-upload.php?type=image&amp;TB_iframe=true');
  return false;
});

window.send_to_editor = function(html) {
  imgurl = jQuery('img',html).attr('src');
  jQuery('#fwpPhoto').val(imgurl);
  tb_remove();
}
});
</script>
	<div id="header">
	<div id="innderhead">
	<img src="<?php echo PLUGINNAME_PATH; ?>/images/logo-wht.png"/>
	</div>
	
	</div>
<div id="imsc-buttonsblock"><div id="imsc-buttonwrap" class="nav-tab-wrapper">
<a target="" id="imsc-navbutton" class="nav-tab" href="admin.php?page=affiliate_rocket">
<img src="<?php echo PLUGINNAME_PATH; ?>/images/Dashboard.png" id="imsc-navbuttonimg"><br>General Settings</a>

<a target="_blank" id="imsc-navbutton" class="nav-tab" href="#">
<img src="<?php echo PLUGINNAME_PATH; ?>/images/Businessman.png" id="imsc-navbuttonimg"><br>Support</a>
<a target="_blank" id="imsc-navbutton" class="nav-tab" href="#">
<img src="<?php echo PLUGINNAME_PATH; ?>/images/training.png" id="imsc-navbuttonimg"><br>Training</a></div>
</div>	
<div id="post-body" class="metabox-holder columns-2">
<div id="timerwrap">


<?php
if($message)

echo '<p class="warring">'.$message.'</p>';
$stimers=get_option('ctimers');
if(!empty($stimers)){
?>
<table id="listtimer" class="wp-list-table widefat fixed pages">
<thead>
<tr><th>Name</th><th>End Time</th><th>Style</th><th>Shadow</th><th>Page</th><th>Template</th><th>BanerBg</th><th>&nbsp;</th></tr>
</thead>
<?php
foreach($stimers as $key=>$timer){
$mypage=$timer['page'];
$page=get_page($mypage);

?>
<tr><td><?php echo $timer['name']; ?></td>

<td><?php if($timer['evergreen'][0]) echo 'Evergreen Count'; else echo $timer['timeend']; ?></td>
<td><?php echo $mystyles[$timer['styles']]; ?></td><td><?php if($timer['shadow']) echo 'Yes';else echo 'No' ?></td>
<td><?php echo $page->post_title; ?></td>
<td><?php echo $templates[$timer['template']]; ?></td><td><div style="background:#<?php echo $timer['background']; ?>; width:30px; height:30px"></div></td><td><a href="admin.php?page=affiliate_rocket&ac=edit&id=<?php echo $key; ?>">Edit</a>&nbsp;&nbsp;&nbsp;
<a href="<?php echo get_permalink($page->ID); ?>" target="_blank">View</a>
&nbsp;&nbsp;&nbsp;<a href="admin.php?page=affiliate_rocket&ac=delete&id=<?php echo $key; ?>">Delete</a></td></tr>
<?php
}
?>
</table>
<?php
}
?>
<br/>
<?php if($_GET['ac']=='edit'){ ?>
<h2>Edit : <?php echo $itemedit['name']; ?></h2>
<?php
}else{
?>
<h2>New Timer</h2>
<?php
}
?>

<div id="ctoptions">

<form id="additems" action="admin.php?page=affiliate_rocket" method="post">

	<div class="timers">
		<table  class="wp-list-table widefat fixed pages">
		<tr><td><strong>Name</strong></td><td colspan="2"><input name="name" class="required" size="80" value="<?php echo $itemedit['name']; ?>"/></td></tr>
		<tr><td><strong>DisplayUrl </strong></td><td colspan="2"><input class="required" name="urldisplay" size="80" value="<?php echo $itemedit['urldisplay']; ?>"/></td></tr>
		<tr><td><strong>End Url </strong></td><td colspan="2"><input class="required" name="urlend" size="80" value="<?php echo $itemedit['urlend']; ?>"/></td></tr>
		<tr><td><strong class="r10">Evergreen Countdown</strong><input type="checkbox" <?php if($itemedit['evergreen'][0]) echo 'checked'; ?> name="evergreen" id="evergreen" size="80" value="1"/></td><td colspan="2">
		<label class="r10"><strong>Days</strong></label><input name="ecday" id="ecday" size="5" value="<?php if($itemedit['evergreen'][0]) echo $itemedit['evergreen'][1]; ?>"/>
		<label class="r10"><strong>Hours</strong></label>
		<select name="echours">
		<?php for($i=0;$i<24;$i++){ ?>
		<option value="<?php echo $i;?>" <?php if($itemedit['evergreen'][2]==$i) echo 'selected="selected"'; ?>><?php echo $i;?></option>
		<?php
		}
		?>
		</select>
		
		<label class="r10"><strong>Minutes</strong></label>
		<select name="ecminute">
		<?php for($i=0;$i<60;$i++){ ?>
		<option value="<?php echo $i;?>" <?php if($itemedit['evergreen'][3]==$i) echo 'selected="selected"'; ?>><?php echo $i;?></option>
		<?php
		}
		?>
		</select>
		
		
		</td></tr>
		<tr id="notever" style="<?php if($itemedit['evergreen'][0]) echo 'display:none'; ?>"><td><strong>Time End</strong></td><td colspan="2"><input class="<?php if(!$itemedit['evergreen'][0]) echo 'required'; ?> " name="timeend" id="timeend" size="80" value="<?php echo $itemedit['timeend']; ?>"/></td></tr>
		<tr><td><strong>Time Style</strong></td><td >
		<?php
		$mystyle=$itemedit['styles'];
		?>
			<select name="styles">
				<?php
				foreach($mystyles as $key=>$style){
				?>
				<option value="<?php echo $key; ?>" <?php if($key==$mystyle) echo 'selected="selected"'; ?>><?php echo $style; ?></option>
				<?php
				}
				?>
				
			</select>
		</td>
		<td>
		<label class="r10"><strong>Show Days</strong></label><input type="checkbox" name="showdate" value="1" <?php if($itemedit['showdate']) echo 'checked';?>/>
		<label class="r10"><strong>Shadow</strong></label><input type="checkbox" name="shadow" value="1" <?php if($itemedit['shadow']) echo 'checked';?>/></td>
		</tr>
		<tr>
			<td><strong>Reference Link</strong></td><td>
			<input id="fwpPhoto" name="facultyPhoto" value="<?php echo $itemedit['facultyPhoto']; ?>">
<input id="upload_image_button" type="button" value="Upload Image">
</td><td>
<label class="r10"><strong>Link</strong></label><input id="facultylink" name="facultylink" value="<?php echo $itemedit['facultylink']; ?>" size="40">
			</td>
		</tr>
		<tr><td><strong>Template</strong></td><td  colspan="2">
		<?php
		$ctem=$itemedit['template'];
		
		?>
			<select name="template">
				<?php
				foreach($templates as $key=>$tem){
				?>
				<option value="<?php echo $key; ?>" <?php if($key==$ctem) echo 'selected="selected"'; ?>><?php echo $tem; ?></option>
				<?php
				}
				?>
				
			</select>
		</td></tr>
		<tr><td><strong>Banner Background</strong></td><td >
			<input name="background" value="<?php if($itemedit['background']) echo $itemedit['background'];?>" size="30" id="background"/>
		</td>
		<td >
		<div id="colorSelector1"><div style="background-color: #<?php if($itemedit['background']) echo $itemedit['background']; else echo '0000ff'; ?>"></div></div>
		</td>
		</tr>
		<tr><td><strong>Page</strong></td><td>
		<?php
		$pages = get_pages(); 
		$mypage=$itemedit['page'];
		?>
			<select name="page" id="listpages">
				<?php
				foreach($pages as  $pg){
				?>
				<option value="<?php echo $pg->ID; ?>" <?php if($pg->ID==$mypage) echo 'selected="selected"'; ?>><?php echo $pg->post_title; ?></option>
				<?php
				}
		?>
				
			</select>
		</td>
		<td>
		<a href="#" id="createnewpage" class="button button-primary button-large">Create Page</a>
		</td>
		</tr>
		<tr><td>&nbsp;</td><td colspan="2"><input type="submit" name="addtimer" value="<?php if($_GET['ac']=='edit') echo 'Update Timer'; echo 'Add Timer'; ?>" class="button button-primary button-large"/>
		<?php if($_GET['ac']=='edit'){
		?>
		<a href="admin.php?page=affiliate_rocket" title="Cancel" class="button button-primary button-large">Cancel</a>
		<input type="hidden" name="edititem" value="<?php echo $_GET['id'];?>"/>
		<input type="hidden" name="ac" value="edit"/>
		<?php
		}
		?>
		</td></tr>
		</table>
		
	</div>
</form>
</div>
<script type="text/javascript">
	
	$(document).ready( function() {
	
		$('#createnewpage').click(function(e){
		e.preventDefault();
			loadPopupBox();
		});
		
	
		$('#popupBoxClose').click( function() {			
			unloadPopupBox();
		});
		
		$('#container').click( function() {
			unloadPopupBox();
		});

		function unloadPopupBox() {	// TO Unload the Popupbox
			$('#popup_box').fadeOut("slow");
			$("#container").css({ // this is just for style		
				"opacity": "1"  
			}); 
		}	
		
		function loadPopupBox() {	// To Load the Popupbox
			$('#popup_box').fadeIn("slow");
					
		}
		/**********************************************************/
		$('#npagesubmit').click(function(){
			if($('#npage').val()==''){
				$('#npage').addClass('error');
				return false;
			}else{
				var title="";
				title=$('#npage').val();
				ajaxurl='<?php echo admin_url('admin-ajax.php' ); ?>';
				
			$.ajax({
				 type : "post",
				 
				 url : ajaxurl,
				 data : {action: "create_new_page",'titlepage' : title},
				 success: function(response) {
					if(response!='null'){
						$('#listpages').html(response);
					}
					 
					   
					
				 }
			});
	  
			}
			
		});
		
	});
</script>
<div id="popup_box">	<!-- OUR PopupBox DIV-->
	<h3>Enter Name Page</h3>
	<a id="popupBoxClose">Close</a>	
	<form name="createpage" action="" method="Post">
	<p><input name="npage" value="" id="npage" size="20"/></p>
	<p><input name="npagesubmit" value="Create New Page" id="npagesubmit" type="button"/></p>
	</form>
</div>
</div>
<div id="rightsidebar">
<?php
require_once 'rightsidebar.php';
?>
</div>
</div>
<?php
}
function checkCookie($mytimer){

global $post;

$nameCookie='page'.$post->ID;

if($mytimer['evergreen'][0]){
	$nameCookie='page'.$post->ID;
	
	$myCookie=$_COOKIE[$nameCookie];
	
	if(!$myCookie){
		$myTimeEndDay=$mytimer['evergreen'][1];
		$myTimeEndMinutes=$mytimer['evergreen'][2]*60+$mytimer['evergreen'][3];
		$cookieValue=getNextDay($myTimeEndDay,$myTimeEndMinutes);
		
		setcookie($nameCookie,$cookieValue,time()+60*60*24*30*365*50);
	}
}

}
function getEndTime($mytimer){
global $post;

	$myTimeEndDay=$mytimer['evergreen'][1];
	$myTimeEndMinutes=$mytimer['evergreen'][2]*60+$mytimer['evergreen'][3];
	return getNextDay($myTimeEndDay,$myTimeEndMinutes);
}
function getScripts($mytimer){

global $post;



?>
<script src="<?php echo plugins_url('affiliate_rocket'); ?>/jquery/jquery-1.8.2.min.js"></script>
<link href="<?php echo plugins_url('affiliate_rocket'); ?>/jcountdown/jcountdown.css" rel="stylesheet" type="text/css">
<script src="<?php echo plugins_url('affiliate_rocket'); ?>/jcountdown/jquery.jcountdown.min.js"></script> 
<?php
$style=explode('-',$mytimer['styles']);

?>
<script>
function getUrl(pid){
	jQuery.post(
    '<?php echo admin_url('admin-ajax.php'); ?>', 
    {
        'action': 'get_endurl',
        'data': pid
    }, 
    function(response){
        window.location.href =response;
    }
);
}
	jQuery(document).ready(function(){
		<?php
			if(!$mytimer['evergreen'][0])
				$datatime=explode(' ',$mytimer['timeend']);
			else{
				
					$nameCookie='page'.$post->ID;
						if(empty($_COOKIE[$nameCookie]))
							$datatime=explode(' ',str_replace('"','',getEndTime($mytimer)));
						else
						$datatime=explode(' ',str_replace('\"','',$_COOKIE[$nameCookie]));
					
			}
			$thetime=$datatime[0].' '.$datatime[1];
			
			if($datatime[2]){
			$zone=explode(':',$datatime[2]);
			$myzone=(int)$zone[0].'.'.(float)$zone[1];
			}
		?>
		//alert('<?php echo $mytimer['timeend']; ?>');
		jQuery("#count-timer").jCountdown({
			timeText:"<?php echo $thetime ?>",
			<?php 
			if($myzone)
			 echo 'timeZone:'.$myzone.',';
			?>
			style:"<?php echo $style[0]; ?>",
			color:"<?php echo $style[1]; ?>",
			width:0,
			textGroupSpace:15,
			textSpace:0,
			
			reflection:<?php if($mytimer['shadow']) echo 'true'; else echo 'false'; ?>,
			reflectionOpacity:10,
			reflectionBlur:0,
			
			displayDay:<?php 
			if($mytimer['showdate'])
			 echo 'true';
			 else
			  echo 'false';
			?>,
			displayHour:true,
			displayMinute:true,
			displaySecond:true,
			displayLabel:true,
			onFinish:function(){
				getUrl(<?php echo $post->ID; ?>);
			}
		});
			
	var divcount=$('#count-timer').outerHeight(true);
	
	jQuery("#imgrefer").css('max-height',$('#count-timer').height()+'px');
		var widndown=$(window).height();
		jQuery("#wrapiframe").height(widndown-$('#wraptimer').outerHeight(true));
		
	});
</script>
<?php
}
add_action( 'wp_ajax_get_endurl', 'get_endurl' );

function get_endurl() {
   
	$stimers=get_option('ctimers');
	foreach($stimers as $tm){
		if($tm['page']==$_POST['data']){
			$timeend=$tm['timeend'];
			$datatime=explode(' ',$timeend);
			if($datatime[2]){
				$zone=explode(':',$datatime[2]);
				$myzone=(int)$zone[0].'.'.(float)$zone[1];
				if($myzone>=0)
				$txtzone='GMT+'.$myzone;
				else
				$txtzone='GMT'.$myzone;
				date_default_timezone_set($txtzone);
				}
			$timeUrl=$datatime[0].' '.$datatime[1];
			
			$today = date("Y/m/d H:i:s");
			if(strtotime($timeUrl) <= strtotime($today))
			echo $tm['urlend'];
			
		}
	}
	die(0);
}
function getNextDay($nd=0,$nm=0){
$txtzone='GMT +7';
date_default_timezone_set($txtzone);
$format = '"Y/m/d H:i:s"';

$today=date($format);

$inputDate = date('Y/m/d H:i:s');


$usersTS = strtotime($inputDate);
if($nd){
$nextday='+'.$nd.' day';

	if($usersTS !== false){

	return date($format, strtotime($nextday, $usersTS)+$nm); 
	  
	}
}else{

	$nextday='+'.$nm.' minutes';

	if($usersTS !== false){

	return date($format, strtotime($nextday, $usersTS)); 
	  
	}
}

return '';
}
?>
