<?php
global $mytem;
checkCookie($mytem);
?>
<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php // Loads HTML5 JavaScript file to add support for HTML5 elements in older IE versions. ?>
<!--[if lt IE 9]>
<script src="<?php echo plugins_url('affiliate_rocket'); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->
<link media="all" href="<?php echo plugins_url('affiliate_rocket'); ?>/css/style.css" type="text/css" rel="stylesheet">
<?php wp_head(); ?>
<?php

getScripts($mytem); ?>
</head>

<body class="<?php echo $mytem['template']; ?>">

<?php



if($mytem['background'])
$bg=str_replace('#','',$mytem['background']);
?>
<div id="wrapiframe">
<iframe src="<?php echo $mytem['urldisplay']; ?>" style="border: 0;width:100%;height:100%;"></iframe>
</div>
<div id="wraptimer" style="background:#<?php echo $bg;?>">
	<div id="count-timer" >
	
	</div>
	<div id="reference">
	<?php
	if($mytem['facultylink']){
	?>
	<a href="<?php echo $mytem['facultylink']?>" title=""><img id="imgrefer" src="<?php echo $mytem['facultyPhoto']; ?>" alt=""/></a>
	<?php
	}else{
	?>
	<img id="imgrefer" src="<?php echo $mytem['facultyPhoto']; ?>" alt=""/>
	<?php
	}
	?>
	</div>
</div>
<?php wp_footer(); ?>

</body>
</html>